Bug 184413 - --listed-incremental doesn't handle moved directories correctly
--listed-incremental doesn't handle moved directories correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tar (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2006-03-08 11:36 EST by Matt Hyclak
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0336
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 17:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch extracted from upstream CVS (2.40 KB, patch)
2006-03-21 11:27 EST, Peter Vrabec
no flags Details | Diff

  None (edit)
Description Matt Hyclak 2006-03-08 11:36:08 EST
Description of problem:
When using the --listed-incremental option to tar, files directories that have
been moved are not properly kept track of. This has implications when restoring
from multiple archives, specifically discovered in amanda.

Version-Release number of selected component (if applicable):
tar-1.14-9.RHEL4

How reproducible:
Always

Steps to Reproduce:
1. Create a directory with some files in it:

$ mkdir blah
$ mkdir blah/a
$ touch blah/a/foo
$ touch blah/a/bar

2. Create a listed incremental

$ tar -cvf test1.tar --listed-incremental test1.incr blah
tar: blah/a: Directory is new
blah/
blah/a/
blah/a/bar
blah/a/foo


3. Rename the directory, re-run the listed incremental
$ mv blah/a/ blah/b
$ tar -cvf test1.tar --listed-incremental test1.incr blah
tar: blah/b: Directory is new
blah/
blah/b/

  
Actual results:
The files are not included in the listed incremental

Expected results:
The files are included in the listed incremental

Additional info:
This works with tar 1.15.1. The output is as follows:

$ mkdir blah
$ mkdir blah/a
$ touch blah/a/foo
$ touch blah/a/bar
$ tar -cvf test1.tar --listed-incremental test1.incr blah
tar: blah/a: Directory is new
blah/
blah/a/
blah/a/bar
blah/a/foo
$ mv blah/a/ blah/b
$ tar -cvf test1.tar --listed-incremental test1.incr blah
tar: blah/b: Directory is new
blah/
blah/b/
blah/b/bar
blah/b/foo
Comment 1 Peter Vrabec 2006-03-21 11:27:48 EST
Created attachment 126405 [details]
patch extracted from upstream CVS
Comment 7 Red Hat Bugzilla 2006-05-03 17:45:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0336.html

Note You need to log in before you can comment on or make changes to this bug.